Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ATransform

All Superinterfaces:
  AAct, ACommand, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AConnect, ADie, ADisconnect, ALeave, AMove, ANetwork, AReplace

All Known Implementing Classes:
  AConnectImpl, ADieImpl, ADisconnectImpl, ALeaveImpl, AMoveImpl, ANetworkImpl, AReplaceImpl, ATransformImpl

    public interface ATransform

extends ACommand

A representation of the model object ' ATransform'.

The following features are supported:

- `Destination`

See Also:
  `MetaABMActPackage.getATransform()`

Method Summary
`ASelect` | `getDestination()` Returns the value of the 'Destination' reference.
`void` | `setDestination(ASelect value)` Sets the value of the '`Destination`' reference.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDestination

    ASelect getDestination()

  Returns the value of the 'Destination' reference.

  If the meaning of the 'Destination' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Destination' reference.
  See Also:
    `setDestination(ASelect)`, `MetaABMActPackage.getATransform_Destination()`

### setDestination

    void setDestination(ASelect value)

  Sets the value of the '`Destination`' reference.

  Parameters:
    `value` - the new value of the 'Destination' reference.
  See Also:
    `getDestination()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD